%h3.page-title
  = t("public.projects.projects")
  = "(#{@projects.total_count})"
.light
  =  t("public.projects.browse_projects")
%hr
.clearfix
  .pull-left
    = form_tag public_projects_path, method: :get, class: 'form-inline form-tiny' do |f|
      .form-group
        = search_field_tag :search, params[:search], placeholder:  t("public.projects.filter_by_name"), class: "form-control search-text-input input-mn-300", id: "projects_search"
      .form-group
        = submit_tag  t("public.projects.search"), class: "btn btn-primary wide"

  .pull-right
    .dropdown.inline
      %a.dropdown-toggle.btn{href: '#', "data-toggle" => "dropdown"}
        %span.light sort:
        - if @sort.present?
          = @sort.humanize
        - else
          =  t("public.projects.name")
        %b.caret
      %ul.dropdown-menu
        %li
          = link_to public_projects_path(sort: nil) do
            =  t("public.projects.name")
          = link_to public_projects_path(sort: 'newest') do
            =  t("public.projects.newest")
          = link_to public_projects_path(sort: 'oldest') do
            =  t("public.projects.oldest")
          = link_to public_projects_path(sort: 'recently_updated') do
            =  t("public.projects.recently_updated")
          = link_to public_projects_path(sort: 'last_updated') do
            =  t("public.projects.last_updated")

%hr
.public-projects
  %ul.bordered-list.top-list
    - @projects.each do |project|
      %li
        %h4
          = link_to project_path(project) do
            = project.name_with_namespace
          - if project.internal?
            %small.access-icon
              = internal_icon
              =  t("public.projects.internal")
          .pull-right
            %pre.public-clone git clone #{project.http_url_to_repo}

        - if project.description.present?
          %p
            = project.description

        .repo-info
          - unless project.empty_repo?
            = link_to t("public.projects.commit", count: project.repository.round_commit_count), project_commits_path(project, project.default_branch)
            &middot;
            = link_to t("public.projects.branch", count: project.repository.branch_names.count), project_branches_path(project)
            &middot;
            = link_to t("public.projects.tag", count: project.repository.tag_names.count), project_tags_path(project)
          - else
            %i.icon-warning-sign
            = t("public.projects.empty_repo")
    - unless @projects.present?
      .nothing-here-block
        = t("public.projects.no_public_projects")

  = paginate @projects, theme: "gitlab"
